Skip to main content
POST
/
api
/
transactions
/
get-transaction
curl -X POST 'https://crypto-api.yativo.com/api/transactions/get-transaction' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
    "transaction_id": "txn_01HX9KZMB3F7VNQP8R2WDGT4EF"
  }'
{
  "status": "success",
  "message": "Transaction retrieved successfully",
  "data": {
    "transaction_id": "txn_01HX9KZMB3F7VNQP8R2WDGT4EF",
    "from_asset_id": "ast_01HX9KZMB3F7VNQP8R2WDGT4EA",
    "from_address": "7nZ9X4mQkLpR3sVwC8tF2bG6hJ5nM1yK",
    "to_address": "9xZ7Y4mQkLpR3sVwC8tF2bG6hJ5nM1yK",
    "amount": "100.00",
    "chain": "solana",
    "ticker": "USDC_SOL",
    "status": "confirmed",
    "tx_hash": "5KgF7hJ2mN4pQ8rT9vX1yC3bA6wD0eG2jL5nP8sU1z4",
    "fee": "0.000005",
    "fee_ticker": "SOL",
    "block_number": 312456789,
    "confirmations": 32,
    "created_at": "2026-03-26T12:00:00Z",
    "confirmed_at": "2026-03-26T12:00:15Z"
  }
}
Authorization
string
required
Bearer token: Bearer YOUR_ACCESS_TOKEN
transaction_id
string
required
The ID of the transaction to retrieve.
curl -X POST 'https://crypto-api.yativo.com/api/transactions/get-transaction' \
  -H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{
    "transaction_id": "txn_01HX9KZMB3F7VNQP8R2WDGT4EF"
  }'
{
  "status": "success",
  "message": "Transaction retrieved successfully",
  "data": {
    "transaction_id": "txn_01HX9KZMB3F7VNQP8R2WDGT4EF",
    "from_asset_id": "ast_01HX9KZMB3F7VNQP8R2WDGT4EA",
    "from_address": "7nZ9X4mQkLpR3sVwC8tF2bG6hJ5nM1yK",
    "to_address": "9xZ7Y4mQkLpR3sVwC8tF2bG6hJ5nM1yK",
    "amount": "100.00",
    "chain": "solana",
    "ticker": "USDC_SOL",
    "status": "confirmed",
    "tx_hash": "5KgF7hJ2mN4pQ8rT9vX1yC3bA6wD0eG2jL5nP8sU1z4",
    "fee": "0.000005",
    "fee_ticker": "SOL",
    "block_number": 312456789,
    "confirmations": 32,
    "created_at": "2026-03-26T12:00:00Z",
    "confirmed_at": "2026-03-26T12:00:15Z"
  }
}